<?php
/*
 * GS bookshowcase - Theme Slider - 03 square hover pop
 * @author Golam Samdani <samdani1997@gmail.com>
 *
 */
$output .= '<div class="container">';
$output .= '<div class="row clearfix gs_wpposts wppostsslider" id="gs_wpposts'.get_the_id().'">';

    if ( $GLOBALS['gs_wpposts_loop']->have_posts() ) {
        while ( $GLOBALS['gs_wpposts_loop']->have_posts() ) {
            $GLOBALS['gs_wpposts_loop']->the_post();
            $gswppost_post_date      = get_the_date('M j, Y');
            $gswppost_post_author    = get_the_author_posts_link();
            $gswppost_post_tag       = get_the_tag_list();
            $gswppost_post_category  = get_the_category_list( __( ', ', 'gswpposts' ) );

            $gswppost_post_id        = get_the_id();
            $gswppost_wppost_id      = get_post_thumbnail_id();
            $gswppost_wppost_url     = wp_get_attachment_image_src($gswppost_wppost_id, 'gs-square-thumb', true);
            $gswppost_wppost_thumb   = $gswppost_wppost_url[0];
            $gswppost_wppost_alt     = get_post_meta($gswppost_wppost_id,'_wp_attachment_image_alt',true);
            $gswppost_wppost_title           = get_the_title();
            $gswppost_wppost_details         = get_the_content();
            $gswppost_wppost_details_link    = get_the_permalink();
            $gswppost_wppost_details         = (strlen($gswppost_wppost_details) > 50) ? substr($gswppost_wppost_details,0, $desc_limit ).'...<a href="'.$gswppost_wppost_details_link.'" target="_self">'.$gswppost_op_wppost_details_readmore.'</a>' : $gswppost_wppost_details;

        
            $output .= '<div class="single-wppost center">'; // start single wppost
                $output .= '<div class="image">'; // start image
                    if ( has_post_thumbnail() )
                        $output .= '<img src="'. $gswppost_wppost_thumb .'" alt="'. $gswppost_wppost_alt .'" />';
                    else {
                        $output .= '<img src="' . GSWPPOSTS_FILES_URI . '/assets/img/no_img.png" class=""/>';
                    }
                $output .= '</div>'; // end image
                $output .= '<div class="gs-wppost-title">'; //start title-profession
                    if ( !empty( $gswppost_wppost_title ) && 'on' ==  $gswppost_op_wppost_title ) :
                        $output.= '<div class="gs-wppost-name">'. $gswppost_wppost_title .'</div>';
                    endif;

                    $output .= '<div class="author-date">';
                        if ( !empty( $gswppost_post_author ) && 'on' ==  $gswppost_op_author ) :
                            $output.= '<span class="gs-wppost-author"><span class="dashicons dashicons-admin-users"></span> '. $gswppost_post_author.'</span>';
                        endif;
                        if ( !empty( $gswppost_post_date )  && 'on' ==  $gswppost_op_date ) :
                            $output.= '<span class="gs-wppost-date" > <span class="dashicons dashicons-calendar-alt"></span> '. $gswppost_post_date .'</span>';
                        endif;
                    $output .= '</div>'; // end author-date

                $output .= '</div>'; //end title-profession

                $output .= '<div class="single-wppost-overlayer">'; // start overlayer
                    $output .= '<div class="pop-icon">'; // end pop icon
                        if ( !empty( $gswppost_wppost_details ) && 'on' ==  $gswppost_op_wppost_details ) :
                            $output.= '<a href='.$gswppost_wppost_details_link.' target="_self"><i class="fa fa-eye"></i></a>';
                        endif;
                    $output .= '</div>'; // end pop icon
                $output .= '</div>'; // end overlayer
            $output .= '</div>'; // end single wppost

        } // end while loop
        do_action('gs_wppost_custom_css');
    }
    else { $output .= "No Post Added!"; }
    wp_reset_postdata();

$output .= '</div>'; // end row
$output .= '</div>'; //end container
return $output;